const BulkCreateBlocklistsRequest = {
  reason: {
    maxLength: 200
  }
};
const CreateDomainRequest = {
  domainName: {
    maxLength: 255,
    minLength: 1
  }
};
const CreateEmailRequest = {
  subject: {
    minLength: 6
  }
};
const CreateEmailRequestAddress = {
  email: {
    minLength: 1
  }
};
const CreateEmailRequestAttachment = {
  name: {
    minLength: 1
  },
  type: {
    minLength: 1
  }
};
const CreateEmailRequestHeader = {
  key: {
    minLength: 1
  },
  value: {
    minLength: 1
  }
};
const CreateWebhookRequest = {
  name: {
    maxLength: 127,
    minLength: 3
  },
  snsArn: {
    maxLength: 127,
    minLength: 3
  }
};
const ListBlocklistsRequest = {
  page: {
    greaterThan: 0
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 100
  }
};
const ListDomainsRequest = {
  page: {
    greaterThan: 0
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e3
  }
};
const ListEmailsRequest = {
  page: {
    greaterThan: 0
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e3
  },
  search: {
    maxLength: 100,
    minLength: 3
  },
  subject: {
    minLength: 6
  }
};
const ListPoolsRequest = {
  page: {
    greaterThanOrEqual: 1
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 1e3
  }
};
const ListWebhookEventsRequest = {
  page: {
    greaterThan: 0
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 100
  }
};
const ListWebhooksRequest = {
  page: {
    greaterThan: 0
  },
  pageSize: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 100
  }
};
const UpdateProjectSettingsRequestUpdatePeriodicReport = {
  sendingDay: {
    greaterThanOrEqual: 1,
    lessThanOrEqual: 28
  },
  sendingHour: {
    greaterThanOrEqual: 0,
    lessThanOrEqual: 23
  }
};
const UpdateWebhookRequest = {
  name: {
    maxLength: 127,
    minLength: 3
  },
  snsArn: {
    maxLength: 127,
    minLength: 3
  }
};
export {
  BulkCreateBlocklistsRequest,
  CreateDomainRequest,
  CreateEmailRequest,
  CreateEmailRequestAddress,
  CreateEmailRequestAttachment,
  CreateEmailRequestHeader,
  CreateWebhookRequest,
  ListBlocklistsRequest,
  ListDomainsRequest,
  ListEmailsRequest,
  ListPoolsRequest,
  ListWebhookEventsRequest,
  ListWebhooksRequest,
  UpdateProjectSettingsRequestUpdatePeriodicReport,
  UpdateWebhookRequest
};
